rem     PROGRAM CWDOSBOX


rem     29 dec 2018: versie 3.0 (CW 3.11 met originele ChiWriter fonts
rem                  i.p.v. 2.53 met de fonts van Joop van den Eijnde)
rem     25 dec 2018: versie 2.0 (postscript i.p.v. pdf output omdat
rem                  ghostscript niet werkt in DOSBox)   
rem     05 dec 2010: versie 1.2 (laatste versie met pdf output)

rem     CWDOSBOX is een schil voor CW


        dim r$(1 to 2)


        color 7,0

        vlag% = 0                     

100     if command$ = "" then goto 105
        if command$ = "-H" or command$ = "/?" then goto 900 else goto 105

105     on error goto 980
        open "cwdosbox.cfg" for input as #12
        for i% = 1 to 2
          input #12,r$(i%)
        next i%
        close #12

110     cls
        gosub 910
        locate 8,21
        print "CWDOSBOX options:"
        locate 10,21
        print "  Start ChiWriter [enter]           1"
        locate 11,21
        print "  Convert chi.bin to output.ps      2"
        locate 12,21
        print "  some info and Help                3"
        locate 13,21
        print "  Quit and return to DOS            4"
        locate 15,21
        input keuze$
        cls
        if keuze$ = "1" or keuze$ = "s" or keuze$ = "" then goto 200
        if keuze$ = "2" or keuze$ = "c" then goto 500
        if keuze$ = "3" or keuze$ = "h" then goto 900
        if keuze$ = "4" or keuze$ = "q" then goto 990
        goto 110

200     shell "cw"
        vlag% = 0
        goto 110

rem     hieronder 920 (versie 2.0) of 924 (versie 3.0)
500     gosub 924
rem     onderstaande drie regels eruit bij overgang versie 1.2 naar 2.0   
rem        shell "cd "+r$(1)
rem        shell "ps2pdf "+r$(2)+"\output.ps "+r$(2)+"\output.pdf"
rem        shell "cd "+r$(1)
        goto 110

900     cls
        print ""
        print ""
        print ""
        print ""
        print "    CWDOSBOX 3.0          (c) 2010-2018 Nomdo Jansonius"
        print ""
        print "                Shell program for ChiWriter"
        print "   " 
        print "    CWDOSBOX enables the usage of ChiWriter in Linux or"
        print "    Windows using DOSBox (or another DOS emulator). The"
        print "    output is a postscript file named OUTPUT.PS, placed"
        print "    in "+r$(2)+"."
        print "    To view or print this file, Linux or Windows PS/PDF"
        print "    software should be used." 
        print ""
        print "    Configuration file CWDOSBOX.CFG is a text file with"
        print "    two rows: CW path (e.g. c:\cw3) and a document path"
        print "    (e.g. c:\cw3\doc). You may edit CWDOSBOX.CFG but if"
        print "    you change the default document path, do not forget"
        print "    to change this path in CONFIG.PAR as well."
        print ""
        print "    Within ChiWriter, printing should be `to file', and"
        print "    the output file should be called CHI.BIN." 
        print ""
        gosub 930
        locate 24,1
        print "                            press ENTER to continue ..."
        input keuze$
        goto 110

910     for i% = 17 to 63
          locate 6,i%
          print chr$(205)
          locate 17,i%
          print chr$(205)
        next i%
        for i% = 6 to 17
          locate i%,17
          print chr$(186)
          locate i%,63
          print chr$(186)
        next i%
        locate 6,17
        print chr$(201)
        locate 6,63
        print chr$(187)
        locate 17,17
        print chr$(200)
        locate 17,63
        print chr$(188)
        return

rem     voor versie 2.0 (CW 2.53 met Joop van den Eijnde fonts)
920     if vlag% = 1 goto 922
        open r$(1)+"\efonts.ps" for input as #12
        open r$(2)+"\output.ps" for output as #13
        do until eof (12)
          line input #12, regel$
          print #13, regel$
        loop
        close #12
        open r$(2)+"\chi.bin" for input as #12
        do until eof (12)
          line input #12, regel$
          print #13, regel$
        loop
        close #12, #13
        vlag% = 1
922     return

rem     voor versie 3 (CW 3.11 met originele CW fonts)
924     if vlag% = 1 goto 926
        shell "copy init.ps+*.psf+"+r$(2)+"\chi.bin "+r$(2)+"\output.ps"
        vlag% = 1
926     return

930     for i% = 3 to 57
          locate 3,i%
          print chr$(205)
          locate 23,i%
          print chr$(205)
        next i%
        for i% = 3 to 23
          locate i%,3
          print chr$(186)
          locate i%,57
          print chr$(186)
        next i%
        locate 3,3
        print chr$(201)
        locate 3,57
        print chr$(187)
        locate 23,3
        print chr$(200)
        locate 23,57
        print chr$(188)
        return

980     cls
        locate 15,1
        print "Error while reading configuration file CWDOSBOX.CFG!"
        locate 20,1
        goto 999

990     color 7,0
        cls
        locate 15,1
        print "CWDOSBOX collapsed to DOS"
        locate 20,1
999     end
